This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 459156 - RFE: Switching from "filter all" to "filter available" shouldn't require another search
RFE: Switching from "filter all" to "filter available" shouldn't require anot...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 15:05 EDT by James Antill
Modified: 2010-03-23 06:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-23 06:23:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Antill 2008-08-14 15:05:43 EDT
Description of problem:
 If you are looking at a group like "programming", and are seeing both the available and installed package ... switching the filter to only show available shouldn't require another request/response.
 I'd also argue that switching back shouldn't either, just always get both but just display what the user wants ... but, meh.

Version-Release number of selected component (if applicable):
gnome-packagekit.x86_64                  0.2.3-9.fc9            installed
Comment 1 Richard Hughes 2008-08-15 04:57:13 EDT
This would be quite easy to do in gpk_application_menu_filter_installed_cb(), comparing the current filter against the new one. I'm not sure the frontend should second guess the backend tho, although the results -should- be exactly the same. I'm not sure if it makes sense to preserve the list and just toggle some invisible flag so you can switch between the states, but that just adds another layer of complexity.

I'll stick it on the TODO, but can't make any promises about timescale.
Comment 2 Richard Hughes 2010-03-23 06:23:42 EDT
Searching takes less than a second now, so I'm not sure it's worth the extra code.

Note You need to log in before you can comment on or make changes to this bug.